summaryrefslogtreecommitdiffstats
path: root/source/l/parted/parted.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/parted/parted.SlackBuild')
-rwxr-xr-xsource/l/parted/parted.SlackBuild3
1 files changed, 2 insertions, 1 deletions
diff --git a/source/l/parted/parted.SlackBuild b/source/l/parted/parted.SlackBuild
index ecbdafe58..3cdb3633b 100755
--- a/source/l/parted/parted.SlackBuild
+++ b/source/l/parted/parted.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=parted
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-4}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,6 +74,7 @@ tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
zcat $CWD/parted.configure.diff.gz | patch -p1 || exit 1
+zcat $CWD/parted.glibc228.diff.gz | patch -p1 || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .